#ifndef OCT_NETWORKING_H
#define OCT_NETWORKING_H

#include <sys/socket.h>
#include <lua5.3/lualib.h>

#define BUFFER_SIZE 1024
#define NUM_BUFFERS 10;

#define OCT_DEFAULT_PORT "20000"


int oct_network_node_init(char* port, lua_State* L);
int oct_network_node_deinit();
int oct_network_recv_msg();
int oct_network_send_msg();

int oct_network_recv_msg_lua(lua_State* L);
int oct_network_send_msg_lua(lua_State* L);

#endif 
